27 septembre 2012
publié par 
La compilation d'un projet pour Xcode généré par WINDEV Mobile 17 doit être faite avec la version 4.4 de Xcode (précisément 4.4.1 à ce jour).

Par défaut Xcode 4.4 permet le test dans son simulateur et sur un iPhone ou iPad équipé de iOS5. En revanche Xcode 4.4 ne propose pas le test sur un iPhone ou iPad mise à jour avec iOS6, et indique le message "Xcode cannot run using the selected device" :


On peut d'ailleurs constater que dans l'organizer de Xcode 4.4 un iPhone ou iPad avec iOS6 est affiché dans l'arborescence avec un point jaune, au lieu du vert habituel, même après un ajout du périphérique avec l'option "Add to portal".

Afin d'ajouter à Xcode 4.4 la possibilité de tester sur un iPhone ou iPad avec iOS6, il faut effectuer les actions suivantes :
  • s'assurer que iTunes est à jour (10.7 à ce jour),
  • installer Xcode 4.5 (il intègre le SDK spécifique de iOS6), sans remplacer la version en place. Pour cela dans un premier temps, dans les applications du Mac, copier Xcode, puis "coller l'élément" au même endroit.
  • relancer Xcode 4.4 (au premier lancement il détecte les nouveautés apportées par Xcode 4.5 installé en parallèle).

L'utilisation de Xcode 4.4 permet alors de faire le test directement sur un iPhone, ou un iPad, équipé de iOS6.

< Retour

© 2019 PC SOFT. Tous droits réservés. Réalisé  avec WEBDEV